POST
https://api.cryptohopper.com/v1/market/review/{review_id}/reply
Posts a reply to a review. The reply is saved on the same marketplace item as the review.
OAuth scope:
read manage About scopes
review is required. Text is checked by a profanity filter.
Example request
curl -X POST "https://api.cryptohopper.com/v1/market/review/REVIEW_ID/reply" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"review_name":"Thanks","review":"Thanks for the feedback!"}'
const response = await fetch('https://api.cryptohopper.com/v1/market/review/REVIEW_ID/reply', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"review_name": "Thanks",
"review": "Thanks for the feedback!"
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/market/review/REVIEW_ID/reply",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"review_name": "Thanks",
"review": "Thanks for the feedback!"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/review/REVIEW_ID/reply');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'review_name' => 'Thanks',
'review' => 'Thanks for the feedback!',
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
review_id |
string | Required | ID of the review to reply to. |
Response
{
"data": {
"review_id": 5507,
"message": "Your reply has been saved."
}
}